Bug 1178173 - Review Request: gnome-calendar - Simple and beautiful calendar application designed to fit GNOME 3
Summary: Review Request: gnome-calendar - Simple and beautiful calendar application de...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1178069
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-02 16:40 UTC by Igor Gnatenko
Modified: 2015-01-25 21:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-25 21:51:46 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-01-02 16:40:59 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/gnome-calendar.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/gnome-calendar-3.15.3.1-1.fc22.src.rpm
Description:
Calendar is a simple and beautiful calendar application designed to fit
GNOME 3.
Features:
* Week, month and year views
* Basic editing of events
* Evolution Data Server integration
* Search support
Fedora Account System Username: ignatenkobrain

Comment 1 Florian "der-flo" Lehner 2015-01-03 13:29:15 UTC
Hi Igor!

Your package looks quite good.
Due to the fact that libical >= 1.0.1 is not available at the moment, the package fails to build.
If libical >= 1.0.1 is available I will do another review.

I hope this is ok for you.

Cheers,
 flo

Comment 2 Igor Gnatenko 2015-01-03 13:32:29 UTC
(In reply to Florian "der-flo" Lehner from comment #1)
> Hi Igor!
Hi!
> Your package looks quite good.
> Due to the fact that libical >= 1.0.1 is not available at the moment, the
> package fails to build.
> If libical >= 1.0.1 is available I will do another review.
Here is linked bug to https://bugzilla.redhat.com/show_bug.cgi?id=1178069 (depends on). There patch available.
> I hope this is ok for you.
yes, this is OK.
> 
> Cheers,
>  flo

Comment 4 Florian "der-flo" Lehner 2015-01-22 16:47:11 UTC
hi Igor!

The package still fails to build because of libical-devel >= 1.0.1.

Cheers,
 flo

For the records: http://koji.fedoraproject.org/koji/taskinfo?taskID=8702624

Comment 5 Igor Gnatenko 2015-01-22 18:51:20 UTC
(In reply to Florian "der-flo" Lehner from comment #4)
> hi Igor!
Hi,
> The package still fails to build because of libical-devel >= 1.0.1.
Depends On: 	Bug 1178069
;)

Comment 6 Michal Nowak 2015-01-24 11:52:24 UTC
Igor, the 'icaltime_days_in_year' typo seems to be fixed in libical-1.0.0-9.fc2{1,2} (soon to be in fc21 stable), no need to wait for 1.0.1 to appear in Fedora. Would be glad to test g-calendar on F21 from your COPR repo.

Comment 8 Florian "der-flo" Lehner 2015-01-25 10:37:53 UTC
Hi Igor!

There are some issues:

- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in gnome-calendar
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

Everything else looks quite good so far.

Cheers,
 Flo

Comment 10 Florian "der-flo" Lehner 2015-01-25 13:02:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated".
     2 files have unknown license.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/dbus-1,
     /usr/share/dbus-1/services
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in gnome-calendar
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in gnome-calendar
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 450560 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8719796
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gnome-calendar-3.15.4.1-2.fc22.x86_64.rpm
          gnome-calendar-3.15.4.1-2.fc22.src.rpm
gnome-calendar.x86_64: W: no-manual-page-for-binary gnome-calendar
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
gnome-calendar (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcamel-1.2.so.51()(64bit)
    libdl.so.2()(64bit)
    libecal-1.2.so.17()(64bit)
    libedataserver-1.2.so.19()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libical
    libical.so.1()(64bit)
    libicalss.so.1()(64bit)
    libicalvcal.so.1()(64bit)
    libm.so.6()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnssutil3.so()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpthread.so.0()(64bit)
    libsecret-1.so.0()(64bit)
    libsmime3.so()(64bit)
    libsoup-2.4.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libssl3.so()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
gnome-calendar:
    appdata()
    appdata(org.gnome.Calendar.appdata.xml)
    application()
    application(org.gnome.Calendar.desktop)
    gnome-calendar
    gnome-calendar(x86-64)
    mimehandler(text/calendar)



Source checksums
----------------
https://download.gnome.org/sources/gnome-calendar/3.15/gnome-calendar-3.15.4.1.tar.xz :
  CHECKSUM(SHA256) this package     : 4a403d4aba78a008199c5e58f499ca7722c9037d583c926c788e2a6e3b94bb47
  CHECKSUM(SHA256) upstream package : 4a403d4aba78a008199c5e58f499ca7722c9037d583c926c788e2a6e3b94bb47


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn gnome-calendar-3.15.4.1-2.fc22.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 11 Igor Gnatenko 2015-01-25 13:08:38 UTC
New Package SCM Request
=======================
Package Name: gnome-calendar
Short Description: Simple and beautiful calendar application designed to fit GNOME 3
Upstream URL: https://wiki.gnome.org/Apps/Calendar
Owners: ignatenkobrain group::gnome-sig
Branches: 
InitialCC:

Comment 12 Gwyn Ciesla 2015-01-25 21:50:04 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.